import request from '@/utils/request'

// 查询售后子列表
export function listLiveAfterSalesItem(query) {
  return request({
    url: '/live/liveAfterSalesItem/list',
    method: 'get',
    params: query
  })
}

// 查询售后子详细
export function getLiveAfterSalesItem(id) {
  return request({
    url: '/live/liveAfterSalesItem/' + id,
    method: 'get'
  })
}

// 新增售后子
export function addLiveAfterSalesItem(data) {
  return request({
    url: '/live/liveAfterSalesItem',
    method: 'post',
    data: data
  })
}

// 修改售后子
export function updateLiveAfterSalesItem(data) {
  return request({
    url: '/live/liveAfterSalesItem',
    method: 'put',
    data: data
  })
}

// 删除售后子
export function delLiveAfterSalesItem(id) {
  return request({
    url: '/live/liveAfterSalesItem/' + id,
    method: 'delete'
  })
}

// 导出售后子
export function exportLiveAfterSalesItem(query) {
  return request({
    url: '/live/liveAfterSalesItem/export',
    method: 'get',
    params: query
  })
}
